Description

Hi there,

it would be great to have some multilanguage support for custom field through.

Currently, if I'm using one redmine installation for my product which has 3 countrys with 3 different support-hotlines, I need to define

my custom fields in 3 languages and associate them to three single projects.

If I could have the abbility to translate every custom field, it would be possible to create one project, with each custom field as single

defined field with different translations, which would be identified by the userpreferences.

If no translation is found, the server should take the english translation (for example if french isn't defined, just take english).

The other option would be to define the custom field name as default translation, and add different translations per language.

Just one example.

Custom field: Customer (free text, used as default if no other language translation is found.

Translation for this field:

EN: Customer

DE: Kunde

FR: NIL

If some customer selects the new ticket field and has the preference de, he just sees "Kunde". If he selects new ticket with fr as

prefrence, he get's the default - nontranslated custom field name - "Customer".

In my opinion, this would be very helpful to create a realy full l18n support in Redmine!

What do you think about this?

Related issues:

Is duplicate of Redmine - Feature #3972: Translation for field values New 2009-10-05

Has duplicate Redmine - Feature #1631: Translation of Custom Fields Closed 2008-07-13

History

#1 - 2012-11-06 06:57 - fangzheng (方正)

+1

although not all project creators would like to translate every custom field. :)

#2 - 2013-02-18 11:22 - Artur M

fangzheng (方正) wrote:

+1

although not all project creators would like to translate every custom field. :)

 Most Redmine administrators need to translate custom fields.

#3 - 2013-03-19 14:45 - billy chou

Artur M wrote:
fangzheng (方正) wrote:

+1

although not all project creators would like to translate every custom field. :)

 Most Redmine administrators need to translate custom fields.

 +1

#4 - 2013-11-18 21:06 - Maxim Krušina

+1

#5 - 2014-07-04 15:12 - Thomas Bieth

I am facing same issue on our instance. We are working with an offshoring development / coding team and clients are located in Germany. Not all

clients do like or understand English in Germany.

Coders and internal staff can handle English but translation would be smart and helpful.

#6 - 2014-11-13 02:10 - Toshi MARUYAMA

- Related to deleted (Feature #3972: Translation for field values)

#7 - 2014-11-13 02:11 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #3972.

#8 - 2014-11-13 02:11 - Toshi MARUYAMA

- Is duplicate of Feature #3972: Translation for field values added

#9 - 2015-12-30 00:20 - Kamil Franckiewicz

+1

#10 - 2016-01-28 04:21 - Toshi MARUYAMA

- Has duplicate Feature #1631: Translation of Custom Fields added

#11 - 2016-09-28 19:27 - Anton Hedström

+1
